Subject: Re: SOS: Phone System Down?
From: Deeksha Dadu <[email-masked]>
To: Rebecca Dybala <[email-masked]>, Saurabh Dadu <[email-masked]>, release <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Wed, 23 Feb 2022 15:17:12 +0000

Hi Rebecca,

Getting this checked now.

Regards,
Deeksha
________________________________
From: Rebecca Dybala <[email-masked]>
Sent: Wednesday, February 23, 2022 8:35 PM
To: Saurabh Dadu <[email-masked]>; release <[email-masked]>
Subject: SOS: Phone System Down?

Hi there,
We are noticing that the phone lines are completely down. When someone calls in to the main line, they get a message about “froggy network long distance service” it says this multiple times and then another message comes on and says “due to heavy calls, we cannot take your call"
I have never even heard of any of this before, so I am wondering if that is something on your end? I am also reaching out to wind stream but as of right now, no one can get through to us.

Rebecca Dybala
HR Manager
[email-masked]<mailto:[email-masked]>
508-986-2330 Ext. 105
201 Turnpike Rd Westborough, MA 01581
www.releasewellbeingcenter.com<http://www.releasewellbeingcenter.com>